/**
 * @description:采购-监察角色判断页面字段或者单选按钮的显示禁用
 * @author:
 */
import store from '../../../store'
const procRoleWiteList = [
  'second_inspector', // 二级公司监察员
  'group_inspector', // 集团监察员
  'depart_inspector', // 部门监察员
  'company_inspector', // 公司监察员
  'system_inspector', // 系统监察员
  'order_auditor', // 订单审核岗
  'bidding_auditor' // 中选审核岗
]
/*
   * 判断是否是采购的监察员角色来控制页面字段或者单选按钮的显示禁用
   * procRoleCode 当前登陆的用户角色
   * 返回布尔值
  */
export default function procIsShowField() {
  const procRoleCode = store.getters.info.currentRol.roleCode // 获取角色Code
  if (procRoleWiteList.indexOf(procRoleCode) !== -1) {
    return true
  } else {
    return false
  }
}

